#!/bin/sh
# test we are root
if [ "$(id -u)" != "0" ]; then
   exit 1
fi

# no compile its a script. Altho original is good, hopefully RENAME provides slightly more info

P=vt-color-test
USER=`cat /etc/sysconfig/tcuser`
LIST="submitqc"
for Z in $LIST
    do 
    su -c "tce-load -i $Z" $USER
done

URL=https://gist.githubusercontent.com/wolph/8b6f697ecc06318004728b8c0127d9b3/raw/250eb2e3f2acca1c51aa52adf611ec0380291e8a
FILE=colortest.py

cd /tmp
su -c "/usr/local/bin/wget -nc --no-check-certificate \
$URL/$FILE   " $USER 

chown root:root $FILE
chmod 755 $FILE
sed 's|python|python3|' -i $FILE

# main 
mkdir -p $P/usr/local/bin
mkdir -p $P/usr/local/share/doc/$P
mv $FILE $P/usr/local/bin/$P
echo 'open source, no licence found' > $P/usr/local/share/doc/$P/COPYING

# TCZ them
###########
LIST2="$P "
for Z in $LIST2
do
	mksquashfs $Z $Z.tcz
	md5sum $Z.tcz > $Z.tcz.md5.txt
	cd $Z
	find usr -not -type d > /tmp/$Z.tcz.list
        sed 's|usr|/usr|g' -i /tmp/$Z.tcz.list
	cd /tmp
done

ls -hal

echo 'Title:          vt-color-test.tcz
Description:    Virtual Terminal color test 
Version:        1
Author:         Rick van Hattem (wolph)
Original-site:  https://gist.github.com/wolph/8b6f697ecc06318004728b8c0127d9b3
Copying-policy: open source
Size:           4.0K
Extension_by:   aus9 @ linuxquestions.org
Tags:           terminal color test 256
Comments:       Virtual terminal color test mainly for 256 color terminals
                example of color test (scrolled up in lxterminal)
                https://imgur.com/c4uWHSQ                

                alternative TCE rxvt-doc contains (less outputs)
                color-256-test.sh
                
Change-log:     2024/03/18 first version any arch
Current         2024/03/18 ' > $P.tcz.info
echo 'python3.9.tcz  ' > $P.tcz.dep

submitqc --libs
rm -rf *.zsync
